Add request to have focus in a PlasmaShellSurface of Role Panel
ClosedPublic

Authored by graesslin on Oct 12 2016, 12:43 PM.

Details

Summary

By default a panel does not take focus. But there are panels which
should get keyboard focus. Examples in a Plasma session are the widget
explorer.

This change adds a new request to PlasmaShell interface to specify
whether a panel should get focus. The compositor can use this request to
decide whether to pass focus to a panel.

Diff Detail

Repository
R127 KWayland
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
graesslin retitled this revision from to Add request to have focus in a PlasmaShellSurface of Role Panel.Oct 12 2016, 12:43 PM
graesslin updated this object.
graesslin edited the test plan for this revision. (Show Details)
graesslin added a reviewer: Plasma on Wayland.
Restricted Application added a project: Plasma on Wayland. · View Herald TranscriptOct 12 2016, 12:43 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
graesslin updated this revision to Diff 7344.Oct 12 2016, 12:46 PM

Fix unit test

romangg added inline comments.
src/client/protocols/plasma-shell.xml
373

Use another name instead of "skip" (copy paste from set_skip_taskbar) ?

src/server/plasmashell_interface.cpp
90

Name "skip" of argument like in line 373.

sebas accepted this revision.Oct 16 2016, 2:46 PM
sebas added a reviewer: sebas.
sebas added a subscriber: sebas.

Other than @subdiff 's comment, it looks good to me.

src/client/protocols/plasma-shell.xml
373

"takes_focus" perhaps?

This revision is now accepted and ready to land.Oct 16 2016, 2:46 PM
graesslin marked 3 inline comments as done.Oct 18 2016, 5:46 AM
This revision was automatically updated to reflect the committed changes.